Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List Scheduled Jobs

Retrieves all scheduled jobs for an application with pagination and optional date range filtering. Supports filtering by execution date range.

GET/api/v1/{team_slug}/{app_slug}/schedule
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
pageinteger

Page number (default is 1)

per-pageinteger

Amount of jobs per page. Minimum 1 and max 100 (default is 20)

from-datestring

Include jobs with execute_at >= this RFC3339 timestamp

to-datestring

Include jobs with execute_at <= this RFC3339 timestamp

item-idsstring[]

Filter jobs by item IDs (can be specified multiple times)

Responses
200

Scheduled jobs

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Job[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Job
add_category_namesstring[]
add_collection_namesstring[]
add_tag_namesstring[]
execute_atstring

Date when the job should run

finished_atstring | null

If a job is finished will this timestamp be filled

group_idstring
idstring
item_idstring
item_namestring
item_typestring
remove_category_namesstring[]
remove_collection_namesstring[]
remove_tag_namesstring[]
to_amount_cents_with_taxinteger | null
to_market_idstring
to_market_statusstring
to_on_saleboolean | null
to_sale_amount_cents_with_taxinteger | null
to_start_sale_timestampstring
to_statusstring | null
to_stop_sale_timestampstring
to_store_group_idstring
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g. bad query params)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/schedule' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "add_category_names": [
        "string"
      ],
      "add_collection_names": [
        "string"
      ],
      "add_tag_names": [
        "string"
      ],
      "execute_at": "string",
      "finished_at": "string",
      "group_id": "string",
      "id": "string",
      "item_id": "string",
      "item_name": "string",
      "item_type": "string",
      "remove_category_names": [
        "string"
      ],
      "remove_collection_names": [
        "string"
      ],
      "remove_tag_names": [
        "string"
      ],
      "to_amount_cents_with_tax": 0,
      "to_market_id": "string",
      "to_market_status": "string",
      "to_on_sale": true,
      "to_sale_amount_cents_with_tax": 0,
      "to_start_sale_timestamp": "string",
      "to_status": "string",
      "to_stop_sale_timestamp": "string",
      "to_store_group_id": "string"
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}